package org.netkernel.packge.endpoint;


import java.net.URLEncoder;

import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class DynamicH2RDBMSConfigAccessor extends StandardAccessorImpl
{
	
	public DynamicH2RDBMSConfigAccessor()
	{	this.declareThreadSafe();		
	}

	@Override
	public void onSource(INKFRequestContext context) throws Exception
	{	//Default to a local H2 database
		String base=context.source("netkernel:/config/netkernel.install.path", String.class);
		String dbpath=base+"etc/apposite/packagesDB";
		dbpath=dbpath.replaceAll("%20", " ");
		
		HDSBuilder b = new HDSBuilder();
		b.pushNode("config");
		b.pushNode("rdbms");
		b.addNode("jdbcDriver", "org.h2.Driver");
		b.addNode("jdbcConnection", "jdbc:h2:" + dbpath + ";CACHE_SIZE=1024" );
		b.addNode("poolSize", "2");
		
		context.createResponseFrom(b.getRoot());
	}
	
}
